Agents
Update agent
Update an AI agent configuration, knowledge, or tools. Admin only.
PUT
/
api
/
agents
/
{id}
Update agent
curl --request PUT \
--url https://api.tedro.io/api/agents/{id} \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <api-key>' \
--cookie better-auth.session_token= \
--data '
{
"name": "Updated Support Agent",
"instructions": "Be concise and helpful."
}
'import requests
url = "https://api.tedro.io/api/agents/{id}"
payload = {
"name": "Updated Support Agent",
"instructions": "Be concise and helpful."
}
headers = {
"cookie": "better-auth.session_token=",
"x-workspace-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
cookie: 'better-auth.session_token=',
'x-workspace-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Updated Support Agent', instructions: 'Be concise and helpful.'})
};
fetch('https://api.tedro.io/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Session cookie set by Better Auth on sign-in.
Workspace UUID. Required on all /api/* endpoints.
Path Parameters
Body
application/json
Response
Agent updated
⌘I
Update agent
